GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
incoming_metadata.c File Reference
`#include "src/core/transport/chttp2/incoming_metadata.h"`
`#include <string.h>`
`#include "src/core/transport/chttp2/internal.h"`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`

## Functions
void | grpc_chttp2_incoming_metadata_buffer_init (grpc_chttp2_incoming_metadata_buffer *buffer)
| assumes everything initially zeroed More...
void | grpc_chttp2_incoming_metadata_buffer_destroy (grpc_chttp2_incoming_metadata_buffer *buffer)
void | grpc_chttp2_incoming_metadata_buffer_add (grpc_chttp2_incoming_metadata_buffer *buffer, grpc_mdelem *elem)
void | grpc_chttp2_incoming_metadata_buffer_set_deadline (grpc_chttp2_incoming_metadata_buffer *buffer, gpr_timespec deadline)
void | grpc_chttp2_incoming_metadata_live_op_buffer_end (grpc_chttp2_incoming_metadata_live_op_buffer *buffer)
void | grpc_chttp2_incoming_metadata_buffer_place_metadata_batch_into (grpc_chttp2_incoming_metadata_buffer *buffer, grpc_stream_op_buffer *sopb)
| extend sopb with a metadata batch; this must be post-processed by grpc_chttp2_incoming_metadata_buffer_postprocess_sopb before being handed out of the transport More...
void | grpc_chttp2_incoming_metadata_buffer_swap (grpc_chttp2_incoming_metadata_buffer *a, grpc_chttp2_incoming_metadata_buffer *b)
void | grpc_incoming_metadata_buffer_move_to_referencing_sopb (grpc_chttp2_incoming_metadata_buffer *src, grpc_chttp2_incoming_metadata_buffer *dst, grpc_stream_op_buffer *sopb)
void | grpc_chttp2_incoming_metadata_buffer_postprocess_sopb_and_begin_live_op (grpc_chttp2_incoming_metadata_buffer *buffer, grpc_stream_op_buffer *sopb, grpc_chttp2_incoming_metadata_live_op_buffer *live_op_buffer)

## Function Documentation

void grpc_chttp2_incoming_metadata_buffer_add | ( | grpc_chttp2_incoming_metadata_buffer * | buffer,
|  | grpc_mdelem * | elem
| ) |  |

void grpc_chttp2_incoming_metadata_buffer_destroy | ( | grpc_chttp2_incoming_metadata_buffer * | buffer | ) |

void grpc_chttp2_incoming_metadata_buffer_init | ( | grpc_chttp2_incoming_metadata_buffer * | buffer | ) |

assumes everything initially zeroed

void grpc_chttp2_incoming_metadata_buffer_place_metadata_batch_into | ( | grpc_chttp2_incoming_metadata_buffer * | buffer,
|  | grpc_stream_op_buffer * | sopb
| ) |  |

extend sopb with a metadata batch; this must be post-processed by grpc_chttp2_incoming_metadata_buffer_postprocess_sopb before being handed out of the transport

void grpc_chttp2_incoming_metadata_buffer_postprocess_sopb_and_begin_live_op | ( | grpc_chttp2_incoming_metadata_buffer * | buffer,
|  | grpc_stream_op_buffer * | sopb,
|  | grpc_chttp2_incoming_metadata_live_op_buffer * | live_op_buffer
| ) |  |

void grpc_chttp2_incoming_metadata_buffer_set_deadline | ( | grpc_chttp2_incoming_metadata_buffer * | buffer,
|  | gpr_timespec | deadline
| ) |  |

void grpc_chttp2_incoming_metadata_buffer_swap | ( | grpc_chttp2_incoming_metadata_buffer * | a,
|  | grpc_chttp2_incoming_metadata_buffer * | b
| ) |  |

void grpc_chttp2_incoming_metadata_live_op_buffer_end | ( | grpc_chttp2_incoming_metadata_live_op_buffer * | buffer | ) |

void grpc_incoming_metadata_buffer_move_to_referencing_sopb | ( | grpc_chttp2_incoming_metadata_buffer * | src,
|  | grpc_chttp2_incoming_metadata_buffer * | dst,
|  | grpc_stream_op_buffer * | sopb
| ) |  |